PHP Manual
Prev |  | Next

# php_check_syntax

(PHP 5 <= 5.0.4)

php_check_syntax -- Check the PHP syntax of (and execute) the specified file

## Description

bool php_check_syntax ( string filename [, string &error_message] )

Performs a syntax (lint) check on the specified `filename` testing for scripting errors.

This is similar to using php -l from the commandline except that this function will execute (but not output) the checked `filename`.

For example, if a function is defined in `filename`, this defined function will be available to the file that executed php_check_syntax(), but output from `filename` will be suppressed.

> Note: For technical reasons, this function is deprecated and removed from PHP. Instead, use `php -l somefile.php` from the commandline.

## Parameters

`filename`

  The name of the file being checked.

`error_message`

  If the `error_message` parameter is used, it will contain the error message generated by the syntax check. `error_message` is passed by reference.

## Return Values

Returns `TRUE` if the lint check passed, and `FALSE` if the link check failed or if `filename` cannot be opened.

## ChangeLog

Version | Description
--- | ---
5.0.5 | This function was removed from PHP.
5.0.3 | Calling exit() after php_check_syntax() resulted in a Segfault.
5.0.1 | `error_message` is passed by reference.

## Examples

    php -l somefile.php

The above example will output something similar to:

    PHP Parse error: unexpected T_STRING in /tmp/somefile.php on line 81

## See Also

include()
is_readable()

Prev | Home | Next
pack | Up | php_strip_whitespace